exercises/quality/config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  root 'home#index'
  # BEGIN
  resources 'bulletins', only: %w[index show]
  # END
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

exercises/quality/app/models/application_record.rb
# frozen_string_literal: true

class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

exercises/quality/app/models/bulletin.rb
# frozen_string_literal: true

# == Schema Information
#
# Table name: bulletins
#
#  id         :integer          not null, primary key
#  title      :string
#  body       :text
#  published  :boolean
#  created_at :datetime         not null
#  updated_at :datetime         not null
#
class Bulletin < ApplicationRecord
  validates :title, presence: true
  validates :body, presence: true
end

exercises/quality/app/controllers/application_controller.rb
# frozen_string_literal: true

class ApplicationController < ActionController::Base
end

exercises/quality/app/controllers/bulletins_controller.rb
# frozen_string_literal: true

class BulletinsController < ApplicationController
  def show
    @bulletin = Bulletin.find(params[:id])
  end

  def index
    @bulletins = Bulletin.all
  end
end

exercises/quality/app/controllers/home_controller.rb
# frozen_string_literal: true

class HomeController < ApplicationController
  def index; end
end

exercises/quality/app/helpers/application_helper.rb
# frozen_string_literal: true

module ApplicationHelper
end

exercises/quality/app/helpers/bulletins_helper.rb
# frozen_string_literal: true

module BulletinsHelper
end

exercises/quality/app/views/bulletins/index.html.erb
<h1>Bulletins</h1>
<ul>
 <% @bulletins.each do |bulletin| %>
  <li><%= link_to bulletin.title, bulletin %></li>
 <% end %>
</ul>

exercises/quality/app/views/bulletins/show.html.erb
<h1><%= @bulletin.title %></h1>
<small>Published: <%= @bulletin.published %></small>

<p><%= @bulletin.body %></p>

exercises/quality/app/views/home/index.html.erb
<h1>Home#index</h1>

exercises/quality/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Quality</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
  <ul>
    <li><%= link_to "Home", root_path %></li>
    <li><%= link_to 'Bulletins', bulletins_path %></li>
  </ul>
    <%= yield %>
  </body>
</html>